uniform sampler3D SampleTex;

void main(void)
{
	vec3
	  cPos = gl_TexCoord[0].xyz;
	  
	float r = texture3D(SampleTex, cPos).r;
	  
	r *= gl_TexCoord[2].x;
	r += gl_TexCoord[2].y;

	gl_FragColor.r = r;
}

